Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000801bareos-core[All Projects] file daemonpublic2017-03-24 08:502017-10-07 22:00
ReporterKvazyman 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindows ServerOSWindows Server 2012 R2OS Version2012
Product Version15.2.4 
Target VersionFixed in Version17.2.4 
Summary0000801: do not apply attributes to folders (hidden and compressed) after recovery
DescriptionDo not apply attributes to folders (hidden and compressed) after recovery.

To restore use winpe live cd disk with bareos agent created in Windows 10
Steps To ReproduceMake archive worked system with Windows Server 2012 R2 by Bareos 15.2 (client,director,storage)
Then try restore to bare metal system with previously install on it Windows Server 2012 Core. Format disks and restore using bareos client.
After it system start normaly, but do not apply attributes to folders (hidden and compressed)
Additional InformationFileSet used for backup
FileSet {
  Name = "abcd"
  Enable VSS = yes
  Include {
    Options {
      Signature = MD5
      Compression = gzip
      Drive Type = fixed
      IgnoreCase = yes
      WildFile = "[A-Z]:/pagefile.sys"
      WildDir = "[A-Z]:/RECYCLER"
      WildDir = "[A-Z]:/$RECYCLE.BIN"
      WildDir = "[A-Z]:/System Volume Information"
      Exclude = yes
    }
     File = "/"
  }
}
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impactyes
bareos-17.2: actionfixed
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships
duplicate of 0000629closed windows: Attributes for directories not restored 

-  Notes
(0002618)
Kvazyman (reporter)
2017-03-24 10:36

I get similar behavior with Bareos 16.2

Errors like what:
24-Mar 00:56 xxxx JobId xxxx: Error: findlib/attribs.c:714 Error in win32_restore_file_attributes: file C:/ProgramData/Microsoft/Windows/WER/ReportQueue/: ERR=Access is denied.
(0002634)
tvlahovski (reporter)
2017-05-07 20:06

Same problem here with 16.2.4 (dir, fd and sd) during Windows FD restore job.
Some of the files are folders were restored, but job has failed at the end with those errors:

2017-05-07 20:41:05 ltmsrvdb01-fd JobId 904: Error: findlib/attribs.c:714 Error in win32_restore_file_attributes: file /tmp/bareos-restores/C/LTM.Shares/Henkel/8 Schetovodstvo/zaplati.plategni/: ERR=Access is denied.
2017-05-07 20:41:05 ltmsrvdb01-fd JobId 904: Error: findlib/attribs.c:714 Error in win32_restore_file_attributes: file /tmp/bareos-restores/C/LTM.Shares/Henkel/8 Schetovodstvo/: ERR=Access is denied.
2017-05-07 20:41:03 ltmsrvdb01-fd JobId 904: Error: findlib/attribs.c:714 Error in win32_restore_file_attributes: file /tmp/bareos-restores/C/LTM.Shares/Henkel/8 Schetovodstvo/Scan/2016-12-16/: ERR=Access is denied.
2017-05-07 20:41:03 ltmsrvdb01-fd JobId 904: Error: findlib/attribs.c:714 Error in win32_restore_file_attributes: file /tmp/bareos-restores/C/LTM.Shares/Henkel/8 Schetovodstvo/Scan/: ERR=Access is denied.
2017-05-07 20:41:02 ltmsrvdb01-fd JobId 904: Error: findlib/attribs.c:714 Error in win32_restore_file_attributes: file /tmp/bareos-restores/C/LTM.Shares/Henkel/8 Schetovodstvo/Scan/2016-12-13/: ERR=Access is denied.
2017-05-07 20:40:59 ltmsrvdb01-fd JobId 904: Error: findlib/attribs.c:714 Error in win32_restore_file_attributes: file /tmp/bareos-restores/C/LTM.Shares/Henkel/8 Schetovodstvo/naznacheniq - uvolneniq/: ERR=Access is denied.

P.S.: For the record the Windows is Server 2003 SP2 (32Bit)

Regards,
-Tiho
(0002777)
joergs (administrator)
2017-10-07 22:00

This has been fixed. See https://bugs.bareos.org/view.php?id=629 [^]

- Issue History
Date Modified Username Field Change
2017-03-24 08:50 Kvazyman New Issue
2017-03-24 10:36 Kvazyman Note Added: 0002618
2017-05-07 20:06 tvlahovski Note Added: 0002634
2017-09-23 21:49 pstorz Relationship added duplicate of 0000629
2017-10-07 22:00 joergs bareos-17.2: impact => yes
2017-10-07 22:00 joergs bareos-17.2: action => fixed
2017-10-07 22:00 joergs Note Added: 0002777
2017-10-07 22:00 joergs Status new => closed
2017-10-07 22:00 joergs Resolution open => fixed
2017-10-07 22:00 joergs Fixed in Version => 17.2.4


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker